> For the complete documentation index, see [llms.txt](https://docs.pascom.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.pascom.net/reference/howto/ubuntu-pipewire-audio.md).

# PipeWire Audio auf Ubuntu Linux nutzen

Mit dieser Anleitung erfahren Sie, wie Sie Ihre Audioqualität mit PipeWire auf Ubuntu Linux Systemen verbessern können.

## Overview

Per Default nutzt die PASCOM App auf Ubuntu Linux Distributionen den default PulsAudio Daemon. Hier kann es unter Umständen vorkommen, dass sich Ihre Audioqualität "blechern" oder "roboterhaft" anhört. Um dieses Problem zu beheben, können Sie den PipeWire Audio Daemon nutzen, welcher einen soliden Workaround bietet.

{% hint style="warning" %}
Die PASCOM App wurde mit PipeWire nur auf Ubuntu Distributionen getestet.
{% endhint %}

## PipeWire installieren

Führen Sie folgende Befehle in Ihrer Terminalumgebung aus um PipeWire zu installieren. Dies macht gleichzeitig Pipewire zum default Audio Daemon für den eingeloggten User.

#### PipeWire Repository hinzufügen

```
sudo add-apt-repository ppa:pipewire-debian/pipewire-upstream
sudo apt update
```

#### PipeWire installieren

```
sudo apt install pipewire pipewire-pulse
sudo apt install pipewire-audio-client-libraries
sudo apt install gstreamer1.0-pipewire libspa-0.2-bluetooth libspa-0.2-jack
```

#### PipeWire als default Audio Daemon setzen

```
systemctl --user stop pulseaudio.service pulseaudio.socket
systemctl --user disable pulseaudio.service pulseaudio.socket
systemctl --user mask pulseaudio.service pulseaudio.socket
systemctl --user enable pipewire.socket pipewire-pulse.socket
systemctl --user start pipewire.socket pipewire-pulse.socket
```

#### System neustarten

Um die Änderungen in Ubuntu anzuwenden, müssen Sie einen Neustart durchführen.

```
sudo reboot
```

## PipeWire verwenden

Nach der Installtion und Einrichtung von PipeWire wird der Audio Daemon automatisch von der PASCOM App genutzt.

1. Prüfen Sie an der Stelle nochmals Ihre Audio- Geräteeinstellungen, welche sich durch die Änderung des Audio Daemon unter umständen verändert haben.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.pascom.net/reference/howto/ubuntu-pipewire-audio.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `build a script that syncs our docs to a CMS` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
